#
# spec file for package ibus-input-pad
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           ibus-input-pad
Version:        1.4.99.20140916
Release:        1.30
Summary:        Input Pad for IBus
License:        GPL-2.0+
Group:          System/Localization
Url:            https://github.com/fujiwarat/ibus-input-pad
Source0:        https://github.com/fujiwarat/ibus-input-pad/releases/download/%{version}/%{name}-%{version}.tar.gz
BuildRequires:  gettext-devel
BuildRequires:  gtk2-devel
BuildRequires:  gtk3-devel
BuildRequires:  ibus-devel
BuildRequires:  input-pad-devel >= 1.0.99
BuildRequires:  intltool
BuildRequires:  libtool
Requires:       ibus
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
The input pad engine for IBus platform.

%prep
%setup -q

%build
%configure --disable-static
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT INSTALL='install -p'

%find_lang %{name}

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING README
%{_libexecdir}/ibus-engine-input-pad
%{_libexecdir}/ibus-setup-input-pad
%{_datadir}/ibus/component/*
%{_datadir}/applications/ibus-setup-input-pad.desktop

%changelog
* Tue Oct 14 2014 hillwood@linuxfans.org
- Update 1.4.99.20140916
  * Changed input_pad_window_init().
  * Set the parent class to IBusEngineSimple.
  * Renamed setup gtk2 files to gtk ones to support gtk3 only.
  * Ported to GTK+ 3.10 to fix the deprecated APIs.
  * Changed the engine layout from 'us' to 'default'.
  * Showed custom table only by default.
  * Removed accept-focus property on ibus-setup-input-pad.
* Sat Mar 22 2014 i@marguerite.su
- update version 1.4.2
  * Removed shared_type tag in input-pad.xml, which is not upstreamed.
* Wed Dec 11 2013 hillwood@linuxfans.org
- update to 1.4.1
  * Added ibus-setup-input-pad.desktop
  * Enabled GTK3 by default.
* Tue Sep 25 2012 hillwood@linuxfans.org
- Initial package.
